OpenNMS API 1.2.9

## org.opennms.core.utils
Class CommandExecutor

    java.lang.Object
      org.opennms.core.utils.CommandExecutor

All Implemented Interfaces:
  ExecutorStrategy

public class CommandExecutor
extends java.lang.Object
implements ExecutorStrategy

This is a class to store and execute a console command

Author:
  David Hustace , Jason Johns , OpenNMS

Constructor Summary
`CommandExecutor()`

Method Summary
`int` `execute(java.lang.String commandLine, java.util.List arguments)` This method executes the command using a Process.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CommandExecutor

    public CommandExecutor()

Method Detail

### execute

    public int execute(java.lang.String commandLine,
                       java.util.List arguments)

  This method executes the command using a Process. The method will decide if an input stream needs to be used.

  Specified by:
    `execute` in interface `ExecutorStrategy`
  Parameters:
    `commandLine` - the command to execute as a command line call
    `arguments` - a list of Argument objects that need to be passed to the command line call
  Returns:
    int, the return code of the command

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.